# Verification ## SSL Verification Details `client.ssl.verification.get(VerificationGetParamsparams, RequestOptionsoptions?): VerificationGetResponse` **get** `/zones/{zone_id}/ssl/verification` Get SSL Verification Info for a Zone. ### Parameters - `params: VerificationGetParams` - `zone_id: string` Path param: Identifier. - `retry?: true` Query param: Immediately retry SSL Verification. - `true` ### Returns - `VerificationGetResponse = Array` - `certificate_status: "initializing" | "authorizing" | "active" | 4 more` Current status of certificate. - `"initializing"` - `"authorizing"` - `"active"` - `"expired"` - `"issuing"` - `"timing_out"` - `"pending_deployment"` - `brand_check?: boolean` Certificate Authority is manually reviewing the order. - `cert_pack_uuid?: string` Certificate Pack UUID. - `signature?: "ECDSAWithSHA256" | "SHA1WithRSA" | "SHA256WithRSA"` Certificate's signature algorithm. - `"ECDSAWithSHA256"` - `"SHA1WithRSA"` - `"SHA256WithRSA"` - `validation_method?: ValidationMethod` Validation method in use for a certificate pack order. - `"http"` - `"cname"` - `"txt"` - `verification_info?: VerificationInfo` Certificate's required verification information. - `record_name?: "record_name" | "http_url" | "cname" | "txt_name"` Name of CNAME record. - `"record_name"` - `"http_url"` - `"cname"` - `"txt_name"` - `record_target?: "record_value" | "http_body" | "cname_target" | "txt_value"` Target of CNAME record. - `"record_value"` - `"http_body"` - `"cname_target"` - `"txt_value"` - `verification_status?: boolean` Status of the required verification information, omitted if verification status is unknown. - `verification_type?: "cname" | "meta tag"` Method of verification. - `"cname"` - `"meta tag"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const verifications = await client.ssl.verification.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(verifications); ``` #### Response ```json { "result": [ { "certificate_status": "active", "brand_check": false, "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948", "signature": "ECDSAWithSHA256", "validation_method": "txt", "verification_info": { "record_name": "record_name", "record_target": "record_value" }, "verification_status": true, "verification_type": "cname" } ] } ``` ## Edit SSL Certificate Pack Validation Method `client.ssl.verification.edit(stringcertificatePackId, VerificationEditParamsparams, RequestOptionsoptions?): VerificationEditResponse` **patch** `/zones/{zone_id}/ssl/verification/{certificate_pack_id}` Edit SSL validation method for a certificate pack. A PATCH request will request an immediate validation check on any certificate, and return the updated status. If a validation method is provided, the validation will be immediately attempted using that method. ### Parameters - `certificatePackId: string` Certificate Pack UUID. - `params: VerificationEditParams` - `zone_id: string` Path param: Identifier. - `validation_method: "http" | "cname" | "txt" | "email"` Body param: Desired validation method. - `"http"` - `"cname"` - `"txt"` - `"email"` ### Returns - `VerificationEditResponse` - `status?: string` Result status. - `validation_method?: "http" | "cname" | "txt" | "email"` Desired validation method. - `"http"` - `"cname"` - `"txt"` - `"email"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.ssl.verification.edit('a77f8bd7-3b47-46b4-a6f1-75cf98109948', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', validation_method: 'txt', }); console.log(response.validation_method); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "status": "pending_validation", "validation_method": "txt" } } ``` ## Domain Types ### Verification - `Verification` - `certificate_status: "initializing" | "authorizing" | "active" | 4 more` Current status of certificate. - `"initializing"` - `"authorizing"` - `"active"` - `"expired"` - `"issuing"` - `"timing_out"` - `"pending_deployment"` - `brand_check?: boolean` Certificate Authority is manually reviewing the order. - `cert_pack_uuid?: string` Certificate Pack UUID. - `signature?: "ECDSAWithSHA256" | "SHA1WithRSA" | "SHA256WithRSA"` Certificate's signature algorithm. - `"ECDSAWithSHA256"` - `"SHA1WithRSA"` - `"SHA256WithRSA"` - `validation_method?: ValidationMethod` Validation method in use for a certificate pack order. - `"http"` - `"cname"` - `"txt"` - `verification_info?: VerificationInfo` Certificate's required verification information. - `record_name?: "record_name" | "http_url" | "cname" | "txt_name"` Name of CNAME record. - `"record_name"` - `"http_url"` - `"cname"` - `"txt_name"` - `record_target?: "record_value" | "http_body" | "cname_target" | "txt_value"` Target of CNAME record. - `"record_value"` - `"http_body"` - `"cname_target"` - `"txt_value"` - `verification_status?: boolean` Status of the required verification information, omitted if verification status is unknown. - `verification_type?: "cname" | "meta tag"` Method of verification. - `"cname"` - `"meta tag"` ### Verification Get Response - `VerificationGetResponse = Array` - `certificate_status: "initializing" | "authorizing" | "active" | 4 more` Current status of certificate. - `"initializing"` - `"authorizing"` - `"active"` - `"expired"` - `"issuing"` - `"timing_out"` - `"pending_deployment"` - `brand_check?: boolean` Certificate Authority is manually reviewing the order. - `cert_pack_uuid?: string` Certificate Pack UUID. - `signature?: "ECDSAWithSHA256" | "SHA1WithRSA" | "SHA256WithRSA"` Certificate's signature algorithm. - `"ECDSAWithSHA256"` - `"SHA1WithRSA"` - `"SHA256WithRSA"` - `validation_method?: ValidationMethod` Validation method in use for a certificate pack order. - `"http"` - `"cname"` - `"txt"` - `verification_info?: VerificationInfo` Certificate's required verification information. - `record_name?: "record_name" | "http_url" | "cname" | "txt_name"` Name of CNAME record. - `"record_name"` - `"http_url"` - `"cname"` - `"txt_name"` - `record_target?: "record_value" | "http_body" | "cname_target" | "txt_value"` Target of CNAME record. - `"record_value"` - `"http_body"` - `"cname_target"` - `"txt_value"` - `verification_status?: boolean` Status of the required verification information, omitted if verification status is unknown. - `verification_type?: "cname" | "meta tag"` Method of verification. - `"cname"` - `"meta tag"` ### Verification Edit Response - `VerificationEditResponse` - `status?: string` Result status. - `validation_method?: "http" | "cname" | "txt" | "email"` Desired validation method. - `"http"` - `"cname"` - `"txt"` - `"email"`